Update your OpenAPI specification
curl --request PATCH \
--url https://api.bunny.net/shield/shield-zone/{shieldZoneId}/api-guardian/spec \
--header 'Content-Type: application/json' \
--data '
{
"content": "<string>",
"enforceAuthorizationValidation": true
}
'import requests
url = "https://api.bunny.net/shield/shield-zone/{shieldZoneId}/api-guardian/spec"
payload = {
"content": "<string>",
"enforceAuthorizationValidation": True
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({content: '<string>', enforceAuthorizationValidation: true})
};
fetch('https://api.bunny.net/shield/shield-zone/{shieldZoneId}/api-guardian/spec', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": {
"success": true,
"message": "<string>",
"errorKey": "<string>"
},
"data": {
"configuration": {
"shieldZoneId": 123,
"isEnabled": true,
"title": "<string>",
"version": "<string>",
"maxEndpoints": 123,
"maxFieldsPerType": 123,
"maxNestingDepth": 123,
"maxTotalSchemaNodes": 123,
"maxTotalRegexLength": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"endpoints": [
{
"apiGuardianEndpointId": 123,
"shieldZoneId": 123,
"requestMethod": "<string>",
"requestPath": "<string>",
"validateRequestBodySchema": true,
"validateResponseBodySchema": true,
"validateAuthorization": true,
"isEnabled": true,
"authSchemes": [
{
"schemeName": "<string>",
"credentialName": "<string>",
"httpScheme": "<string>"
}
],
"requestBodySchemaYaml": "<string>",
"responseBodySchemasYaml": {},
"availableParameters": {
"Path": [
"<string>"
],
"Query": [
"<string>"
],
"Header": [
"<string>"
],
"Cookie": [
"<string>"
]
},
"injectionDetectionParameters": {
"Path": [
"<string>"
],
"Query": [
"<string>"
],
"Header": [
"<string>"
],
"Cookie": [
"<string>"
]
},
"detectParameterXss": true,
"detectParameterSqli": true,
"rateLimitingEnabled": true,
"rateLimitingRequestCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"error": {
"success": true,
"message": "<string>",
"errorKey": "<string>"
},
"data": {
"configuration": {
"shieldZoneId": 123,
"isEnabled": true,
"title": "<string>",
"version": "<string>",
"maxEndpoints": 123,
"maxFieldsPerType": 123,
"maxNestingDepth": 123,
"maxTotalSchemaNodes": 123,
"maxTotalRegexLength": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"endpoints": [
{
"apiGuardianEndpointId": 123,
"shieldZoneId": 123,
"requestMethod": "<string>",
"requestPath": "<string>",
"validateRequestBodySchema": true,
"validateResponseBodySchema": true,
"validateAuthorization": true,
"isEnabled": true,
"authSchemes": [
{
"schemeName": "<string>",
"credentialName": "<string>",
"httpScheme": "<string>"
}
],
"requestBodySchemaYaml": "<string>",
"responseBodySchemasYaml": {},
"availableParameters": {
"Path": [
"<string>"
],
"Query": [
"<string>"
],
"Header": [
"<string>"
],
"Cookie": [
"<string>"
]
},
"injectionDetectionParameters": {
"Path": [
"<string>"
],
"Query": [
"<string>"
],
"Header": [
"<string>"
],
"Cookie": [
"<string>"
]
},
"detectParameterXss": true,
"detectParameterSqli": true,
"rateLimitingEnabled": true,
"rateLimitingRequestCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}
}{
"error": {
"success": true,
"message": "<string>",
"errorKey": "<string>"
},
"data": {
"configuration": {
"shieldZoneId": 123,
"isEnabled": true,
"title": "<string>",
"version": "<string>",
"maxEndpoints": 123,
"maxFieldsPerType": 123,
"maxNestingDepth": 123,
"maxTotalSchemaNodes": 123,
"maxTotalRegexLength": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"endpoints": [
{
"apiGuardianEndpointId": 123,
"shieldZoneId": 123,
"requestMethod": "<string>",
"requestPath": "<string>",
"validateRequestBodySchema": true,
"validateResponseBodySchema": true,
"validateAuthorization": true,
"isEnabled": true,
"authSchemes": [
{
"schemeName": "<string>",
"credentialName": "<string>",
"httpScheme": "<string>"
}
],
"requestBodySchemaYaml": "<string>",
"responseBodySchemasYaml": {},
"availableParameters": {
"Path": [
"<string>"
],
"Query": [
"<string>"
],
"Header": [
"<string>"
],
"Cookie": [
"<string>"
]
},
"injectionDetectionParameters": {
"Path": [
"<string>"
],
"Query": [
"<string>"
],
"Header": [
"<string>"
],
"Cookie": [
"<string>"
]
},
"detectParameterXss": true,
"detectParameterSqli": true,
"rateLimitingEnabled": true,
"rateLimitingRequestCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}
}API Guardian
Update your OpenAPI specification
PATCH
/
shield
/
shield-zone
/
{shieldZoneId}
/
api-guardian
/
spec
Update your OpenAPI specification
Path Parameters
Body
application/jsontext/jsonapplication/*+json
Represents the request for uploading or updating an OpenAPI specification in API Guardian.
Response
OK
Represents the response for uploading or updating an OpenAPI specification in API Guardian.
Last modified on July 7, 2026
Was this page helpful?
⌘I